/*
 * This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/.
 */

var platform_type = "";

var openBrowser = function (url) {

}

function initCordova() {
    platform_type = "cordova";

    // Handle back button to close things
    document.addEventListener("backbutton", function (event) {
        router.navigate("/home");
    }, false);

    document.addEventListener("deviceready", function () {
        if (cordova.platformId == 'android') {
            StatusBar.backgroundColorByHexString("#D32F2F");
            StatusBar.styleLightContent();
        }
    }, false);

    openBrowser = function(url) {
        cordova.InAppBrowser.open(url, '_blank', 'location=yes');
    }
}

function initNW() {
    platform_type = "nw";

    openBrowser = function(url) {
        nw.Window.open(url, {
            id: url
        });
    }
}

function initPlatform() {
    if (typeof cordova !== 'undefined') {
        initCordova();
    } else if (typeof nw !== 'undefined') {
        initNW();
    }
}